# $Revision: 1.6.2.2 $, $Date: 2003/03/13 00:58:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	EasyTCP
Summary:	Net::EasyTCP Perl module - easily create TCP/IP clients and servers
Summary(pl):	Modu Perla Net::EasyTCP - pomocny przy tworzeniu klientw i serwerw TCP/IP
Name:		perl-Net-EasyTCP
Version:	0.19
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Storable
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::EasyTCP Perl module - easily create TCP/IP clients and servers.
Features:
- one easy module to create both clients and servers
- Object Oriented interface
- event-based callbacks in server mode
- internal protocol to take care of all the common transport problems
- transparent encryption
- transparent compression.

%description -l pl
Modu Perla Net::EasyTCP - pomocny przy tworzeniu klientw i serwerw
TCP/IP. Cechy:
- jeden atwy w uyciu modu do tworzenia klientw i serwerw
- obiektowo zorientowany interfejs
- funkcje callback sterowane zdarzeniami w trybie serwera
- wewntrzny protok rozwizujcy gwne problemy z transportem
- przeroczyste szyfrowanie
- przeroczysta kompresja.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Net/EasyTCP.pm
%dir %{perl_sitelib}/auto/Net/EasyTCP
%{perl_sitelib}/auto/Net/EasyTCP/autosplit.ix
%{perl_sitelib}/auto/Net/EasyTCP/*.al
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-EasyTCP.spec,v $
Revision 1.6.2.2  2003/03/13 00:58:13  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6.2.1  2003/03/08 23:27:44  ankry
- autoupdated to 0.19

Revision 1.6  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:01  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/20 12:23:26  mis
- autoupdated to 0.17

Revision 1.3  2002/10/05 21:17:28  ankry
- (auto)updated to 0.16

Revision 1.2  2002/09/27 13:53:21  ankry
- added tests
- version 0.15

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

